# pandas.api.extensions.ExtensionArray._from_sequence_of_strings

classmethod `ExtensionArray.``_from_sequence_of_strings`(strings, dtype=None, copy=False)

  Construct a new ExtensionArray from a sequence of strings.

  New in version 0.24.0.

  Parameters:

  strings : Sequence

  > Each element will be an instance of the scalar type for this array, `cls.dtype.type`.

  dtype : dtype, optional

  > Construct for this particular dtype. This should be a Dtype compatible with the ExtensionArray.

  copy : boolean, default False

  > If True, copy the underlying data.

  Returns: | ExtensionArray

Scroll To Top